# Fibonacci Function from
# http://www.dotnetperls.com/fibonacci-ruby
def fibonacci(n)
    a = 0
    b = 1

    # Compute Fibonacci number in the desired position.
    n.times do
      temp = a
      a = b
      # Add up previous two numbers in sequence.
      b = temp + b
    end

    return a
end

# Write first 15 Fibonacci numbers in sequence.
15.times do |n|
    result = fibonacci(n)
    puts result
end



n = 15
def get_fibonacci(length)
  array = []
  # Write first 15 Fibonacci numbers in sequence.
  length.times do |n|
      result = fibonacci(n)
      array.push(result)
  end
  
  return array
end

puts 'When N=' + n.to_s + ' Fibonacci is ' + get_fibonacci(n).join(',')
