def sort_ascending(array)
  # Clone the original array
  result = array[0..-1]
  
  # Do Bubble Sorting
  index = 0
  result.each do

    sub_array = result[index+1..-1]
    sub_index = 0
    sub_array.each do
      # Swap elements when lower value found
      if sub_array[sub_index] < result[index]
        temp = result[index]
        result[index] = sub_array[sub_index]
        result[index+1+sub_index] = temp
      end
      sub_index += 1
    end
    
    index += 1
  end
  
  
  return result
end

def sort_descending(array)
   # Clone the original array
  result = array[0..-1]
  
  # Do Bubble Sorting
  index = 0
  result.each do

    sub_array = result[index+1..-1]
    sub_index = 0
    sub_array.each do
      # Swap elements when higher value found
      if sub_array[sub_index] > result[index]
        temp = result[index]
        result[index] = sub_array[sub_index]
        result[index+1+sub_index] = temp
      end
      sub_index += 1
    end
    
    index += 1
  end
  
  
  return result
end

my_array = [512 , 128 , 256, 1024, 16, 64, 32, 4]
puts "Original Array: " + my_array.join(',')
puts "Ascending: " + sort_ascending(my_array).join(',')
puts "Original Array: " + my_array.join(',')
puts "Descending: " + sort_descending(my_array).join(',')
