class WelcomeController < ApplicationController
  
  @@rnd = Random.new
  
  
  
  def index
    #@students = getStudents()
    #getStudents.each do |student|
    #  newstudent = Student.new
    #  newstudent.student_id = student[0]
    #  newstudent.name = student[1]
    #  newstudent.year_course = student[2]
    #  newstudent.save
    #end
    #@students = Student.all
    #@students = Student.where('year_course = ?', '4 BS COMTECH')
    @students = Student.all.paginate(:page => params[:page], :per_page => 8)
  end
  
  
  
  
  
  
  def random
    is_post = params[:is_post]
    if !is_post.nil? && is_post == 'Yes'
      length = getStudents.size
      @name = getStudents[@@rnd.rand(length)][1]
    end
  end
 




  
  def signin
    email = params[:inputEmail]
    password = params[:inputPassword]
    
    if !email.nil? && !password.nil?
      @error = 'yes'
    end
  end
 
  
  
  
  
  
  
  
  
  
  def quiz
    @score = '0'
    @question = '0'
  end
  
  def quiz_answer
    @score = params[:score]
    @question = params[:question]
      
    if @question.to_i > 0
      correct_answer = getQuestions[@question.to_i-1][1]
      @answer = params[:answer]
      if !@answer.nil? && @answer.to_i == correct_answer
        @score = (@score.to_i + 1).to_s
      end
    end
    
    length = getQuestions.size
    if @question.to_i == length        
      @results = 'End of the quiz. You scored ' + @score + ' out of ' + length.to_s
      @question = '0'
      @score = '0'
    else
      @question_text = getQuestions[@question.to_i][0]
      @answers = getQuestions[@question.to_i][2]
      @question = (@question.to_i + 1).to_s
    end
    
    render 'quiz'
  end

  def addstudent
  end

  def addstudent_post
    student_id = params[:inputStudentID]
    name = params[:inputName]
    year_course = params[:inputYearCourse]

    if !student_id.empty? && !name.empty? && !year_course.empty?
      newstudent = Student.new
      newstudent.student_id = student_id
      newstudent.name = name
      newstudent.year_course = year_course
      newstudent.save

      redirect_to '/'
    else
      @error = 'yes'
      render 'addstudent'
    end
  end

  def editstudent
    id = params[:id]
    if !id.nil? 
      @student = Student.find(id)
    end
  end

  def editstudent_post
    id = params[:student_id]
    student_id = params[:inputStudentID]
    name = params[:inputName]
    year_course = params[:inputYearCourse]
    @student = Student.find(id.to_i)

    if !student_id.empty? && !name.empty? && !year_course.empty?
      @student.student_id = student_id
      @student.name = name
      @student.year_course = year_course
      @student.save

      redirect_to '/'
    else
      @error = 'yes'
      render 'editstudent'
    end
  end

  def deletestudent
    id = params[:id]
    @student = Student.find(id.to_i)
    @student.destroy
    redirect_to '/'
  end
  
private
  def getStudents
      return [
      ['140036','ABRIGO,  ANGELU BIANCA CO','3 BS MIS'],
      ['145028','ANGELO,  APRIL HANN PINILI','3 BS MIS'],
      ['140261','ARAOS,  MARY GABRIELLE MYCEL RAMOS','3 BSMIS-MSCS'],
      ['140347','BACOY,  JEREMIAH NOGRA','3 BS MIS'],
      ['140485','BEASCA,  JOHN LORENZ MARTIN','3 BS MIS'],
      ['140709','CANALES,  MOULDER VON LUCAS','3 BS MIS'],
      ['140737','CARBALLO,  JAMES DAVID BRADLY RUEDA','3 BS MIS'],
      ['140906','CHUA,  ELDRIC BRICE ONG','3 BS MIS'],
      ['131205','DE GUZMAN,  JOSE GAVINO TAMAYO','4 BSM AMF'],
      ['141392','DUMALIANG,  DONNA LIZA GUEVARA','3 BS MIS'],
      ['131547','EVARISTO,  RAYMOND MICHAEL PONAYO','4 BS COMTECH'],
      ['132397','LOPEZ,  JAIME LORENZO JOAQUIN RIVERA','4 BS MIS'],
      ['142637','MAÑOSCA,  JOHN REINER GUTIERREZ','3 BS MIS'],
      ['142649','MEJIA,  CZAR EMMANUEL RAÑOLA','3 BS MIS'],
      ['142708','MIRALLES,  MA. JOHANNAH PAULA ISIP','3 BS MIS'],
      ['142991','PABALAN,  JOSHUA MANALOTO','3 BS MIS'],
      ['143155','PILARCA,  NEICY MARIE FERNANDO','3 BS MIS'],
      ['133300','PUALENGCO,  CARL JOSH SAN LUIS','4 BS ME'],
      ['143617','SANTOS,  JAMIE LEE LOUIS LAIGO','3 BS MIS'],
      ['145246','URQUICO,  JOHN LORENZ RODRILLO','3 BS MIS'],
      ['144236','VANTA,  ANFERNY JOHN BESIN','3 BS MIS'],
      ['145262','VERDEY,  JOSHUA VINCENT JOHN SICAM','3 BS MIS'],
      ['144287','VIALU,  NINNA PATRICIA LINGATONG','3 BS MIS']
    ]
  end
  
  
  
  
  def getQuestions
    return [
      ['What makes the color of the sky during sunset dusk reddish?',
         0,
         ['Dust',
          'The Rainbow Effect',
          'Northern Lights',
          'Gravity']],
      ['How do fish breathe underwater?',
         1,
         ['Hold their breath',
          'Gills extract oxygen from water', 
          'They make their own oxygen', 
          'Aliens made them that way']],
      ['Next line in a song: "Why do birds suddenly appear..."',
         2,
         ['"when you come over here?"',
          '"at dawn this time of year?"',
          '"every time you are near?"',
          '"after you drink rootbeer?"']]
    ]
  end
end
